
#include "stdafx.h"
#include "Game.h"
#include <FSTREAM>

void NastavHrac1(THrac &hrac, int kdo) // kdo 0 - hrac, kdo 1 - protivnik
{
	hrac.Hrad = 10000;
	hrac.vyska_zed = 0.0f;
	hrac.doly = 2;
	hrac.kamenictvy = 1;
	hrac.chram = 0;
	hrac.vedCentrum = 0;
	hrac.kameny = 400;
	hrac.mana = 0;
	hrac.domoobrana = 1;
	hrac.pocLeh = 0;
	hrac.pocTez = 0;
	hrac.pocKat = 0;
	hrac.kovarny = 1;
	hrac.zbrojnice = 0;
	hrac.dilny1 = 0;
	hrac.strelnice = 0;
	hrac.penize = 1000;
	hrac.silaPlus = 0;
	
	hrac.max_hrad = 10000;

	if( g_aktKolo >= 3)	g_vyzkumProt.olej = 1;

	if(g_aktKolo == 0)
	{
		hrac.Hrad = 6000;
		hrac.max_hrad = 6000;
		hrac.doly = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 2;
			hrac.kamenictvy = 2;
		}
	}else
	if(g_aktKolo == 1)
	{
		hrac.Hrad = 10000;
		hrac.max_hrad = 10000;
		hrac.penize = 2000;
		hrac.kameny = 600;
		hrac.doly = 4;
		hrac.zbrojnice = 2;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 2;
			hrac.kamenictvy = 2;
			hrac.zbrojnice = 1;
		}
	}else
	if(g_aktKolo == 2)
	{
		hrac.Hrad = 12000;
		hrac.max_hrad = 12000;
		hrac.chram = 1;
		hrac.doly = 4;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 3;
			hrac.kamenictvy = 2;
			hrac.zbrojnice = 1;
		}
	}else
	if(g_aktKolo == 3)
	{
		hrac.Hrad = 12000;
		hrac.max_hrad = 12000;
		hrac.doly = 3;
		hrac.chram = 2;
		hrac.kamenictvy = 2;
		hrac.zbrojnice = 1;

		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 14000;
			hrac.max_hrad = 14000;
			hrac.doly = 4;
			hrac.kamenictvy = 2;
		}
	}else
	if(g_aktKolo == 4)
	{
		hrac.Hrad = 20000;
		hrac.max_hrad = 20000;
		hrac.doly = 5;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 3;
		hrac.chram = 3;
		hrac.strelnice = 1;
		hrac.vyska_zed = 1.0f;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 99000;
			hrac.max_hrad = 99000;
			hrac.doly = 14;
			hrac.kamenictvy = 6;
			hrac.vyska_zed = 0.0f;
		}
	}else
	if(g_aktKolo == 5)
	{
		hrac.Hrad = 7000;
		hrac.max_hrad = 7000;
		hrac.doly = 5;
		hrac.kamenictvy = 3;
		hrac.zbrojnice = 1;
		hrac.chram = 2;
		hrac.vyska_zed = 2.0f;
		if( kdo == 1 ) // protivnik
		{

			hrac.Hrad = 16000;
			hrac.max_hrad = 16000;
			hrac.doly = 5;
			hrac.kamenictvy = 3;
			hrac.dilny1 = 1;
		}
	}else
	if(g_aktKolo == 6)
	{
		hrac.Hrad = 20000;
		hrac.max_hrad = 20000;
		hrac.doly = 6;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 2;
		hrac.chram = 2;
		hrac.strelnice = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 22000;
			hrac.max_hrad = 22000;
			hrac.doly = 9;
			hrac.zbrojnice = 3;
			hrac.kamenictvy = 5;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 7)
	{
		hrac.Hrad = 40000;
		hrac.max_hrad = 40000;
		hrac.doly = 5;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 3;
		hrac.chram = 5;
		hrac.strelnice = 1;
		hrac.dilny1 = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 44000;
			hrac.max_hrad = 44000;
			hrac.doly = 10;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 8)
	{
		hrac.Hrad = 50000;
		hrac.max_hrad = 50000;
		hrac.doly = 7;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 4;
		hrac.chram = 4;
		hrac.strelnice = 4;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 45000;
			hrac.max_hrad = 45000;
			hrac.doly = 9;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 3;
		}
	}else	
	if(g_aktKolo == 9)
	{
		hrac.Hrad = 75000;
		hrac.max_hrad = 75000;
		hrac.doly = 0;
		hrac.kamenictvy = 0;
		hrac.zbrojnice = 8;
		hrac.kovarny = 10;
		hrac.chram = 8;
		hrac.mana = 200;
		hrac.strelnice = 4;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 90000;
			hrac.max_hrad = 90000;
			hrac.doly = 16;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 10)
	{
		hrac.Hrad = 80000;
		hrac.max_hrad = 80000;
		hrac.doly = 12;
		hrac.kamenictvy = 6;
		hrac.kovarny = 8;
		hrac.zbrojnice = 5;
		hrac.chram = 4;
		hrac.strelnice = 5;
		hrac.dilny1 = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 95000;
			hrac.max_hrad = 95000;
			hrac.doly = 14;
			hrac.zbrojnice = 7;
			hrac.kamenictvy = 6;
			hrac.strelnice = 6;
			hrac.dilny1 = 4;
		}
	}else	
	if(g_aktKolo == 11)
	{
		hrac.Hrad = 140000;
		hrac.max_hrad = 140000;
		hrac.doly = 15;
		hrac.kovarny = 8;
		hrac.kamenictvy = 8;
		hrac.zbrojnice = 7;
		hrac.chram = 7;
		hrac.strelnice = 5;
		hrac.dilny1 = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 200000;
			hrac.max_hrad = 200000;
			hrac.doly = 18;
			hrac.zbrojnice = 15;
			hrac.kamenictvy = 20;
			hrac.strelnice = 8;
			hrac.dilny1 = 5;
		}
	}
}

void NastavHrac2(THrac &hrac, int kdo) // kdo 0 - hrac, kdo 1 - protivnik
{
	hrac.Hrad = 10000;
	hrac.vyska_zed = 0.0f;
	hrac.doly = 2;
	hrac.kamenictvy = 1;
	hrac.chram = 0;
	hrac.vedCentrum = 0;
	hrac.kameny = 400;
	hrac.mana = 0;
	hrac.domoobrana = 1;
	hrac.pocLeh = 0;
	hrac.pocTez = 0;
	hrac.pocKat = 0;
	hrac.kovarny = 1;
	hrac.zbrojnice = 0;
	hrac.dilny1 = 0;
	hrac.strelnice = 0;
	hrac.penize = 1000;
	hrac.silaPlus = 0;
	
	hrac.max_hrad = 10000;

	if( g_aktKolo >= 3)	g_vyzkumProt.olej = 1;

	if(g_aktKolo == 0)
	{
		hrac.Hrad = 6000;
		hrac.max_hrad = 6000;
		hrac.doly = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 2;
			hrac.kamenictvy = 2;
		}
	}else
	if(g_aktKolo == 1)
	{
		hrac.Hrad = 10000;
		hrac.max_hrad = 10000;
		hrac.penize = 2000;
		hrac.kameny = 600;
		hrac.doly = 4;
		hrac.zbrojnice = 2;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 3;
			hrac.kamenictvy = 2;
		}
	}else
	if(g_aktKolo == 2)
	{
		hrac.Hrad = 12000;
		hrac.max_hrad = 12000;
		hrac.chram = 1;
		hrac.doly = 4;
		hrac.zbrojnice = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 4;
			hrac.kamenictvy = 2;
			hrac.zbrojnice = 2;
		}
	}else
	if(g_aktKolo == 3)
	{
		hrac.Hrad = 12000;
		hrac.max_hrad = 12000;
		hrac.doly = 3;
		hrac.chram = 2;
		hrac.kamenictvy = 2;
		hrac.zbrojnice = 1;

		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 14000;
			hrac.max_hrad = 14000;
			hrac.doly = 5;
			hrac.kamenictvy = 2;
		}
	}else
	if(g_aktKolo == 4)
	{
		hrac.Hrad = 20000;
		hrac.max_hrad = 20000;
		hrac.doly = 4;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 3;
		hrac.chram = 3;
		hrac.vyska_zed = 1.0f;
		hrac.strelnice = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 99000;
			hrac.max_hrad = 99000;
			hrac.doly = 16;
			hrac.kamenictvy = 8;
			hrac.vyska_zed = 0.0f;
		}
	}else
	if(g_aktKolo == 5)
	{
		hrac.Hrad = 7000;
		hrac.max_hrad = 7000;
		hrac.doly = 5;
		hrac.kamenictvy = 3;
		hrac.zbrojnice = 1;
		hrac.chram = 2;
		hrac.vyska_zed = 2.0f;
		if( kdo == 1 ) // protivnik
		{

			hrac.Hrad = 16000;
			hrac.max_hrad = 16000;
			hrac.doly = 6;
			hrac.kamenictvy = 4;
			hrac.dilny1 = 1;
		}
	}else
	if(g_aktKolo == 6)
	{
		hrac.Hrad = 20000;
		hrac.max_hrad = 20000;
		hrac.doly = 5;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 2;
		hrac.chram = 2;
		hrac.strelnice = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 22000;
			hrac.max_hrad = 22000;
			hrac.doly = 9;
			hrac.zbrojnice = 3;
			hrac.kamenictvy = 5;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 7)
	{
		hrac.Hrad = 40000;
		hrac.max_hrad = 40000;
		hrac.doly = 4;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 3;
		hrac.chram = 5;
		hrac.strelnice = 1;
		hrac.dilny1 = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 44000;
			hrac.max_hrad = 44000;
			hrac.doly = 11;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 8)
	{
		hrac.Hrad = 50000;
		hrac.max_hrad = 50000;
		hrac.doly = 7;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 4;
		hrac.chram = 3;
		hrac.strelnice = 4;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 45000;
			hrac.max_hrad = 45000;
			hrac.doly = 11;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 3;
		}
	}else	
	if(g_aktKolo == 9)
	{
		hrac.Hrad = 75000;
		hrac.max_hrad = 75000;
		hrac.doly = 0;
		hrac.kamenictvy = 0;
		hrac.zbrojnice = 8;
		hrac.kovarny = 10;
		hrac.chram = 9;
		hrac.mana = 200;
		hrac.strelnice = 4;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 90000;
			hrac.max_hrad = 90000;
			hrac.doly = 18;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 10)
	{
		hrac.Hrad = 80000;
		hrac.max_hrad = 80000;
		hrac.doly = 12;
		hrac.kamenictvy = 6;
		hrac.kovarny = 8;
		hrac.zbrojnice = 5;
		hrac.chram = 4;
		hrac.strelnice = 5;
		hrac.dilny1 = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 95000;
			hrac.max_hrad = 95000;
			hrac.doly = 17;
			hrac.zbrojnice = 7;
			hrac.kamenictvy = 6;
			hrac.strelnice = 6;
			hrac.dilny1 = 4;
		}
	}else	
	if(g_aktKolo == 11)
	{
		hrac.Hrad = 140000;
		hrac.max_hrad = 140000;
		hrac.doly = 15;
		hrac.kovarny = 8;
		hrac.kamenictvy = 8;
		hrac.zbrojnice = 7;
		hrac.chram = 7;
		hrac.strelnice = 5;
		hrac.dilny1 = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 200000;
			hrac.max_hrad = 200000;
			hrac.doly = 20;
			hrac.zbrojnice = 15;
			hrac.kamenictvy = 20;
			hrac.strelnice = 8;
			hrac.dilny1 = 5;
		}
	}
}

void NastavHrac3(THrac &hrac, int kdo) // kdo 0 - hrac, kdo 1 - protivnik
{
	hrac.Hrad = 10000;
	hrac.vyska_zed = 0.0f;
	hrac.doly = 2;
	hrac.kamenictvy = 1;
	hrac.chram = 0;
	hrac.vedCentrum = 0;
	hrac.kameny = 400;
	hrac.mana = 0;
	hrac.domoobrana = 1;
	hrac.pocLeh = 0;
	hrac.pocTez = 0;
	hrac.pocKat = 0;
	hrac.kovarny = 1;
	hrac.zbrojnice = 0;
	hrac.dilny1 = 0;
	hrac.strelnice = 0;
	hrac.penize = 1000;
	hrac.silaPlus = 0;
	
	hrac.max_hrad = 10000;

	if( g_aktKolo >= 3)	g_vyzkumProt.olej = 1;

	if(g_aktKolo == 0)
	{
		hrac.Hrad = 6000;
		hrac.max_hrad = 6000;
		hrac.doly = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 3;
			hrac.kamenictvy = 2;
		}
	}else
	if(g_aktKolo == 1)
	{
		hrac.Hrad = 10000;
		hrac.max_hrad = 10000;
		hrac.penize = 2000;
		hrac.kameny = 600;
		hrac.doly = 4;
		hrac.zbrojnice = 2;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 4;
			hrac.kamenictvy = 2;
		}
	}else
	if(g_aktKolo == 2)
	{
		hrac.Hrad = 12000;
		hrac.max_hrad = 12000;
		hrac.chram = 1;
		hrac.doly = 4;
		if( kdo == 1 ) // protivnik
		{
			hrac.doly = 5;
			hrac.kamenictvy = 3;
			hrac.zbrojnice = 3;
		}
	}else
	if(g_aktKolo == 3)
	{
		hrac.Hrad = 12000;
		hrac.max_hrad = 12000;
		hrac.doly = 3;
		hrac.chram = 2;
		hrac.kamenictvy = 2;
		hrac.zbrojnice = 1;

		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 16000;
			hrac.max_hrad = 16000;
			hrac.doly = 6;
			hrac.kamenictvy = 2;
		}
	}else
	if(g_aktKolo == 4)
	{
		hrac.Hrad = 16000;
		hrac.max_hrad = 16000;
		hrac.doly = 4;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 3;
		hrac.chram = 3;
		hrac.vyska_zed = 1.0f;
		hrac.strelnice = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 99000;
			hrac.max_hrad = 99000;
			hrac.doly = 21;
			hrac.kamenictvy = 8;
			hrac.vyska_zed = 0.0f;
		}
	}else
	if(g_aktKolo == 5)
	{
		hrac.Hrad = 7000;
		hrac.max_hrad = 7000;
		hrac.doly = 5;
		hrac.kamenictvy = 3;
		hrac.zbrojnice = 1;
		hrac.chram = 2;
		hrac.vyska_zed = 2.0f;
		if( kdo == 1 ) // protivnik
		{

			hrac.Hrad = 20000;
			hrac.max_hrad = 20000;
			hrac.doly = 8;
			hrac.chram = 3;
			hrac.kamenictvy = 4;
			hrac.dilny1 = 1;
		}
	}else
	if(g_aktKolo == 6)
	{
		hrac.Hrad = 20000;
		hrac.max_hrad = 20000;
		hrac.doly = 5;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 2;
		hrac.chram = 2;
		hrac.strelnice = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 22000;
			hrac.max_hrad = 22000;
			hrac.doly = 12;
			hrac.zbrojnice = 3;
			hrac.kamenictvy = 5;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 7)
	{
		hrac.Hrad = 40000;
		hrac.max_hrad = 40000;
		hrac.doly = 4;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 3;
		hrac.chram = 5;
		hrac.strelnice = 1;
		hrac.dilny1 = 1;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 44000;
			hrac.max_hrad = 44000;
			hrac.doly = 14;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 8)
	{
		hrac.Hrad = 50000;
		hrac.max_hrad = 50000;
		hrac.doly = 7;
		hrac.kamenictvy = 4;
		hrac.zbrojnice = 4;
		hrac.chram = 3;
		hrac.strelnice = 4;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 55000;
			hrac.max_hrad = 55000;
			hrac.doly = 14;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 3;
		}
	}else	
	if(g_aktKolo == 9)
	{
		hrac.Hrad = 75000;
		hrac.max_hrad = 75000;
		hrac.doly = 0;
		hrac.kamenictvy = 0;
		hrac.zbrojnice = 8;
		hrac.kovarny = 10;
		hrac.chram = 9;
		hrac.mana = 200;
		hrac.strelnice = 4;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 90000;
			hrac.max_hrad = 90000;
			hrac.doly = 20;
			hrac.zbrojnice = 5;
			hrac.kamenictvy = 5;
			hrac.strelnice = 4;
			hrac.dilny1 = 2;
		}
	}else	
	if(g_aktKolo == 10)
	{
		hrac.Hrad = 80000;
		hrac.max_hrad = 80000;
		hrac.doly = 12;
		hrac.kamenictvy = 6;
		hrac.kovarny = 8;
		hrac.zbrojnice = 5;
		hrac.chram = 4;
		hrac.strelnice = 5;
		hrac.dilny1 = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 95000;
			hrac.max_hrad = 95000;
			hrac.doly = 19;
			hrac.zbrojnice = 7;
			hrac.kamenictvy = 6;
			hrac.strelnice = 6;
			hrac.dilny1 = 4;
		}
	}else	
	if(g_aktKolo == 11)
	{
		hrac.Hrad = 140000;
		hrac.max_hrad = 140000;
		hrac.doly = 15;
		hrac.kovarny = 8;
		hrac.kamenictvy = 8;
		hrac.zbrojnice = 7;
		hrac.chram = 7;
		hrac.strelnice = 5;
		hrac.dilny1 = 3;
		if( kdo == 1 ) // protivnik
		{
			hrac.Hrad = 200000;
			hrac.max_hrad = 200000;
			hrac.doly = 28;
			hrac.zbrojnice = 15;
			hrac.kamenictvy = 20;
			hrac.strelnice = 8;
			hrac.dilny1 = 5;
		}
	}
}

void NactiData1(std::string name, bool p[])
{
	ifstream is( name.c_str() );
	if(!is) cError.ErrorMsg(0, true, false, "Spatne nacteni souboru", name.c_str() );
	for(int i=0; i<12; i++)
	{
		bool hod;
		is >> hod;
		p[i] = hod;
		if( hod == 1 ) g_aktKolo = i;
	}
}

void UlozData1(std::string name, bool p[])
{
	ofstream os( name.c_str() );
	if(!os) cError.ErrorMsg(0, true, false, "Spatne ulozeni souboru", name.c_str() );
	for(int i=0; i<12; i++)
	{
		os << p[i] << endl;
	}
}

void UlozData1V(std::string name, bool p[])
{
	ofstream os( name.c_str() );
	if(!os) cError.ErrorMsg(0, true, false, "Spatne ulozeni souboru", name.c_str() );
	os << g_hrac.vedBody << endl;
	for(int i=0; i<12; i++)
	{
		os << p[i] << endl;
	}
}

void NastavTlacVyberMenu(C_GUI_0 &menu, bool pole[12])
{
	for(int i=0; i<12; i++)
	{
		std::string text = "ID_BUTTON";
		char cislo[10];
		_itoa(i+1, cislo, sizeof(cislo));
		text += cislo;
		C_BASEGUI_0 *p = menu.GetPointerObject( text.c_str() );
		if(p != NULL) p->SetState( pole[i] );
	}
}

void NactiDataVyz(std::string name, bool p[], int *body)
{
	ifstream is( name.c_str() );
	if(!is) cError.ErrorMsg(0, true, false, "Spatne nacteni souboru", name.c_str() );
	is >> *body;
	for(int i=0; i<12; i++)
	{
		bool hod;
		is >> hod;
		p[i] = hod;
		//if( hod == 1 ) g_aktKolo = i;
	}
}
void NactiTexty( std::string name, std::string text[] )
{
	ifstream is( name.c_str() );
	if(!is) cError.ErrorMsg(0, true, false, "Spatne nacteni souboru", name.c_str() );
	for( int i=0; i<12; i++ )
	{
		// nacitani textu
		std::string t="";
		while( !is.eof() )
		{
			is >> t;
			if(t == "@end") break;
			if( t == "@n" ) {text[i] += '\n';continue;}
			text[i] += t;
			text[i] += " ";
		}
	}
}

void NastavVyzkum(bool pole[12])
{
	if( !pole[0] ) g_vyzkum.olej = 1;
	if( !pole[1] ) g_textures[19] = g_textures[35];
	if( !pole[2] ) g_textures[14] = g_textures[36];
	if( !pole[3] ) g_vyzkum.obrana = 1;
	if( !pole[4] ) g_vyzkum.brneni = 1;
	if( !pole[5] ) g_vyzkum.kostel = 1;
	if( !pole[6] ) plus_penize++;
	if( !pole[7] ) plus_kameny += 2;
	if( !pole[8] ) plus_mana += 1;
	if( !pole[9] ) g_vyzkum.domoobrana = 1;
	if( !pole[10] ) g_vyzkum.trziste = 1;
	if( !pole[11] ) g_vyzkum.chram = 1;
	textREC.Add("hmm ", g_vyzkum.trziste );
	
}

TPoint VratPosTlac( C_GUI_0 &menu, std::string name )
{
	TPoint ret;
	C_BASEGUI_0 *p = menu.GetPointerObject( name.c_str() );
	TRect rect = p->GetRect();
	ret.x = rect.x + rect.width/2;
	ret.y = rect.y + rect.height/2;
	return ret;
}

void NastavTlacitkaProNoveKolo(C_GUI_0 &menu, int kolo )
{
	C_BASEGUI_0 *p;
	// nulovani talcitek - neni videt ani jedno
	for(int i=1; i<6; i++)
	{
		std::string but = W_GetString("ID_BUT%d", i );
		p = menu.GetPointerObject( but );
		p->SetVisible( false );
	}
	for(i=1; i<6; i++)
	{
		std::string but = W_GetString("ID_JED%d", i );
		p = menu.GetPointerObject( but );
		p->SetVisible( false );
	}
	for(i=1; i<9; i++)
	{
		std::string but = W_GetString("ID_KOU%d", i );
		p = menu.GetPointerObject( but );
		p->SetVisible( false );
	}
	p = menu.GetPointerObject("ID_BUTA");
	p->SetVisible( false );
	p = menu.GetPointerObject("ID_BUTB");
	p->SetVisible( false );
	p = menu.GetPointerObject("ID_BUTC");
	p->SetVisible( false );
	p = menu.GetPointerObject("ID_BUTD");
	p->SetVisible( false );
	// TRZISTE //
	if( g_vyzkum.trziste == 0  )
	{
		p = menu.GetPointerObject("ID_TRH1");
		p->SetVisible( false );
		p = menu.GetPointerObject("ID_TRH2");
		p->SetVisible( false );
	}else
	{
		p = menu.GetPointerObject("ID_TRH1");
		p->SetVisible( true );
		p = menu.GetPointerObject("ID_TRH2");
		p->SetVisible( true );
	}
	/*p = menu.GetPointerObject("ID_BUTE");
	p->SetVisible( false );*/
	// konec nulovani //
	if( kolo >= 0 )
	{
		p = menu.GetPointerObject("ID_BUT1");
		p->SetVisible( true );
		p = menu.GetPointerObject("ID_BUT2");
		p->SetVisible( true );
		p = menu.GetPointerObject("ID_JED1");
		p->SetVisible( true );
		p = menu.GetPointerObject("ID_BUTA");
		p->SetVisible( true );		
		/*p = menu.GetPointerObject("ID_KOU1");
		p->SetVisible( true );	*/
	}
	if( kolo >= 1 )
	{
		p = menu.GetPointerObject("ID_JED2");
		p->SetVisible( true );
		p = menu.GetPointerObject("ID_BUTB");
		p->SetVisible( true );		
	}
	if( kolo >= 2 )
	{
		p = menu.GetPointerObject("ID_JED3");
		p->SetVisible( true );
		p = menu.GetPointerObject("ID_BUTC");
		p->SetVisible( true );
		// kouzla
		p = menu.GetPointerObject("ID_KOU1");
		p->SetVisible( true );
		// charm
		p = menu.GetPointerObject("ID_BUT3");
		p->SetVisible( true );
	}
	if( kolo >= 3 )
	{
		// + nahodny udalosti
		// kouzla
		p = menu.GetPointerObject("ID_KOU2");
		p->SetVisible( true );
		// vyvojac
		p = menu.GetPointerObject("ID_BUT4");
		p->SetVisible( true );
	}
	if( kolo >= 4 )
	{
		// kouzla
		p = menu.GetPointerObject("ID_KOU3");
		p->SetVisible( true );
		// jednotka katapult
		p = menu.GetPointerObject("ID_JED4");
		p->SetVisible( true );
		p = menu.GetPointerObject("ID_BUTD");
		p->SetVisible( true );
		// zed
		p = menu.GetPointerObject("ID_BUT5");
		p->SetVisible( true );
	}
	if( kolo >= 5 )
	{
		// kouzla
		p = menu.GetPointerObject("ID_KOU4");
		p->SetVisible( true );
		// jednotka katapult
		p = menu.GetPointerObject("ID_JED5");
		p->SetVisible( true );
		p = menu.GetPointerObject("ID_JED5");
		p->SetVisible( true );
	}
	// 6 kolo vynechano, speciální bránicí kolo....
	if( kolo >= 7 )
	{
		// kouzla
		p = menu.GetPointerObject("ID_KOU5");
		p->SetVisible( true );
	}
	if( kolo >= 8 )
	{
		// kouzla
		p = menu.GetPointerObject("ID_KOU6");
		p->SetVisible( true );
	}
	if( kolo >= 9 )
	{
		// kouzla
		p = menu.GetPointerObject("ID_KOU7");
		p->SetVisible( true );
	}
	if( g_vyzkum.chram == 1 )
	{
		// kouzla
		p = menu.GetPointerObject("ID_KOU8");
		p->SetVisible( true );
	}

}

void SpustKouzlo( UCHAR znak )
{
		if( znak == 'A' ) 
		{
			if(g_hrac.mana >= mana_sur) 
			{
				g_hrac.mana -= mana_sur;
				PridejSuroviny(g_hrac, 0, TM.GetIdTexture( g_textures[28] ));
				g_hracStat.poc_kouzel++;
			}
		}else
		if( znak == 'S' ) 
		{
			if(g_hrac.mana >= mana_att) 
			{
				g_hrac.mana -= mana_att;			
				for(register j=0; j<1; j++)
				{
					float od_x = (rand()%100)/1000.0f;
					float od_y = (rand()%20)/10.0f ;
					g_fire.NewFirebool(TM.GetIdTexture(g_textures[15]), TM.GetIdTexture(g_textures[27]), CVector3(-4.0f+od_x,1+od_y,-1.0), CVector3(5,0,0), CVector3(0.05,0,0), 0.5f, 0);
					g_hracStat.poc_kouzel++;
				}
			}
		}else
			// VYSATI ZASOB SOUPERE
		if( znak == 'D' ) 
		{
			if(g_hrac.mana >= mana_3)
			{
				g_hrac.mana -= mana_3;
				// vlastni kouzlo
				Vysati_soupere(g_hrac, g_prot, 0, TM.GetIdTexture( g_textures[30] ) );
				g_hracStat.poc_kouzel++;
			}
		}else
			// ZPOMALENI
		if( znak == 'F' ) 
		{
			if(g_hrac.mana >= mana_4)
			{
				g_hrac.mana -= mana_4;
				// vlastni kouzlo
				kouSP.Enable();
				g_hracStat.poc_kouzel++;
			}
		}else
		// KAMEN CHAOSU
		if( znak == 'G' ) 
		{
			if(g_hrac.mana >= mana_5)
			{
				g_hrac.mana -= mana_5;
				// vlastni kouzlo
				kouKC.Enable();
				g_hracStat.poc_kouzel++;
			}
		}else
		// kouzlo 6 - ZAPOMNETLIVOST
		if( znak == 'H' ) 
		{
			if(g_hrac.mana >= mana_6)
			{
				g_hrac.mana -= mana_6;
				// vlastni kouzlo
				g_zapomnetlivostProt = 1;
				g_hracStat.poc_kouzel++;
			}
		}else
		// kouzlo 7
		if( znak == 'J' ) 
		{
			if(g_hrac.mana >= mana_7)
			{
				g_hrac.mana -= mana_7;
				// vlastni kouzlo
				g_kouzloBoziOchrana = 1;
				g_hracStat.poc_kouzel++;
			}
		}else
		// kouzlo 8 - vyvolani dem. prisery
		if( znak == 'K' ) 
		{
			if(g_hrac.mana >= mana_8)
			{
				g_hrac.mana -= mana_8;
				// vlastni kouzlo
				g_hracScena.Add( 20 );
			}
		}
}